Get Research
curl --request GET \
--url https://api.happenstance.ai/v1/research/{research_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.happenstance.ai/v1/research/{research_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.happenstance.ai/v1/research/{research_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"query": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"profile": {
"person_metadata": {
"full_name": "<string>",
"alternate_names": [
"<string>"
],
"profile_urls": [
"<string>"
],
"current_locations": [
{
"location": "<string>",
"comments": "<string>",
"urls": [
"<string>"
]
}
],
"tagline": "<string>"
},
"employment": [
{
"company_name": "<string>",
"job_title": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"description": "<string>",
"urls": [
"<string>"
]
}
],
"education": [
{
"university_name": "<string>",
"degree": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"description": "<string>",
"urls": [
"<string>"
]
}
],
"projects": [
{
"title": "<string>",
"description": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"urls": [
"<string>"
]
}
],
"writings": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"urls": [
"<string>"
]
}
],
"hobbies": [
{
"description": "<string>",
"urls": [
"<string>"
]
}
],
"summary": {
"text": "<string>",
"urls": [
"<string>"
]
}
}
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}API Reference
Get Research
Get the status of a research request.
GET
/
v1
/
research
/
{research_id}
Get Research
curl --request GET \
--url https://api.happenstance.ai/v1/research/{research_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.happenstance.ai/v1/research/{research_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.happenstance.ai/v1/research/{research_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"query": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"profile": {
"person_metadata": {
"full_name": "<string>",
"alternate_names": [
"<string>"
],
"profile_urls": [
"<string>"
],
"current_locations": [
{
"location": "<string>",
"comments": "<string>",
"urls": [
"<string>"
]
}
],
"tagline": "<string>"
},
"employment": [
{
"company_name": "<string>",
"job_title": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"description": "<string>",
"urls": [
"<string>"
]
}
],
"education": [
{
"university_name": "<string>",
"degree": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"description": "<string>",
"urls": [
"<string>"
]
}
],
"projects": [
{
"title": "<string>",
"description": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"urls": [
"<string>"
]
}
],
"writings": [
{
"title": "<string>",
"description": "<string>",
"date": "<string>",
"urls": [
"<string>"
]
}
],
"hobbies": [
{
"description": "<string>",
"urls": [
"<string>"
]
}
],
"summary": {
"text": "<string>",
"urls": [
"<string>"
]
}
}
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "https://developer.happenstance.ai/api-reference/introduction#error-response-format",
"detail": "<string>",
"instance": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response from GET /v1/research/{id} - retrieving research status and results.
Unique identifier for the research job
Status of the research job (RUNNING, COMPLETED, FAILED, FAILED_AMBIGUOUS)
Original research query
Timestamp when research was created (ISO 8601 format)
Timestamp when research was last updated (ISO 8601 format)
Research results (only populated when status is COMPLETED)
Show child attributes
Show child attributes
⌘I
